package com.chenyang.nse.bussiness.kms.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_kms_credential"
)
public class KmsCredential {
   @Id
   private String id;
   @Column
   private String accesskey;
   @Column
   private String secretkey;
   @Column
   private String iv;
   @Column
   private String protocol;
   @Column
   private String host;
   @Column
   private Integer port;

   public String getTid() {
      return this.id;
   }

   public void setTid(String id) {
      this.id = id;
   }

   public String getAccesskey() {
      return this.accesskey;
   }

   public void setAccesskey(String accesskey) {
      this.accesskey = accesskey;
   }

   public String getSecretkey() {
      return this.secretkey;
   }

   public void setSecretkey(String secretkey) {
      this.secretkey = secretkey;
   }

   public String getIv() {
      return this.iv;
   }

   public void setIv(String iv) {
      this.iv = iv;
   }

   public String getProtocol() {
      return this.protocol;
   }

   public void setProtocol(String protocol) {
      this.protocol = protocol;
   }

   public String getHost() {
      return this.host;
   }

   public void setHost(String host) {
      this.host = host;
   }

   public Integer getPort() {
      return this.port;
   }

   public void setPort(Integer port) {
      this.port = port;
   }
}
